aboutsummaryrefslogtreecommitdiff
path: root/src/cpt-download
diff options
context:
space:
mode:
authormerakor <cem@ckyln.com>2020-07-24 14:11:03 +0000
committermerakor <cem@ckyln.com>2020-07-24 14:11:03 +0000
commit3bbb028b00fafc5c0d5e47c96e21a61ef5e842ac (patch)
treebef990822c87175e2eb074ae3961863a5b175c98 /src/cpt-download
parent0d634aa1f1710d949a5498cd3803a17c5426ca6a (diff)
downloadcpt-3bbb028b00fafc5c0d5e47c96e21a61ef5e842ac.tar.gz
tools: move to src
FossilOrigin-Name: e320e235b6dd6b0d4b0d04df12c1c5e481c524412d286dc6375b6cd4231eed8b
Diffstat (limited to 'src/cpt-download')
-rwxr-xr-xsrc/cpt-download16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/cpt-download b/src/cpt-download
new file mode 100755
index 0000000..da0a692
--- /dev/null
+++ b/src/cpt-download
@@ -0,0 +1,16 @@
+#!/bin/sh -ef
+# Download sources for the given package
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ./cpt-lib; fi
+
+case "$1" in
+ --help|-h)
+ out "usage: ${0##*/} [pkg...]"
+ exit 1
+ ;;
+ --version|-v) version ;;
+ '') set -- "${PWD##*/}"; export CPT_PATH=${PWD%/*}:$CPT_PATH
+esac
+
+for pkg; do pkg_sources "$pkg"; done